package de.hsosnabrueck.webservice.client;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import de.hsosnabrueck.webservice.service.EinfacherTaschenrechner;
import de.hsosnabrueck.webservice.service.Taschenrechner;

public class CalculatorClient {

	Taschenrechner service;
	EinfacherTaschenrechner calculator;
	int val1;
	int val2;

	@Before
	public void setUp() {
		val1 = 20;
		val2 = 5;
		service = new Taschenrechner();
		calculator = service.getEinfacherTaschenrechnerPort();
	}

	// Testen der Addition (20 + 5 = 25)
	@Test
	public void testAddition() {
		assertEquals(calculator.summe(val1, val2), 25);
	}

	// Testen der Multiplikation (20 x 5 = 100)
	@Test
	public void testMultiplication() {
		assertEquals(calculator.multiplikation(val1, val2), 100);
	}

	// Testen der Subtraktion (20 - 5 = 15)
	@Test
	public void testSubtraction() {
		assertEquals(calculator.subVal(val1, val2), 15);
	}

	// Testen der Division (20 / 5 = 4)
	@Test
	public void testDivision() {
		assertEquals(calculator.division(val1, val2), 4);
	}
}