package de.hsosnabrueck.webservice.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;

@WebService(name = "EinfacherTaschenrechner", serviceName = "Taschenrechner")
@SOAPBinding(style = SOAPBinding.Style.RPC)
public class Calculator {

	// Minimale Notationsvariante
	@WebMethod
	public long subVal(int val1, int val2) {
		return val1 - val2;
	}

	// Erweiterte Notationsvariante
	@WebMethod(operationName = "Summe")
	@WebResult(name = "Ergebnis")
	public long addVal(@WebParam(name = "Summand_1") int val1,
			@WebParam(name = "Summand_2") int val2) {
		return val1 + val2;
	}

	@WebMethod(operationName = "Division")
	@WebResult(name = "Ergebnis")
	public long divVal(@WebParam(name = "Dividend") int val1,
			@WebParam(name = "Divisor") int val2) {
		return val1 / val2;
	}

	@WebMethod(operationName = "Multiplikation")
	@WebResult(name = "Ergebnis")
	public long mulVal(@WebParam(name = "Multiplikator") int val1,
			@WebParam(name = "Multiplikand") int val2) {
		return val1 * val2;
	}

}
